Skip to main content
POST
/
kyc
/
pan
/
verify
curl --request POST \ --url https://api.sandbox.co.in/kyc/pan/verify \ --header 'Authorization: <authorization>' \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data ' { "@entity": "in.co.sandbox.kyc.pan_verification.request", "pan": "XXXPX1234A", "name_as_per_pan": "John Ronald Doe", "date_of_birth": "11/11/2001", "consent": "Y", "reason": "For onboarding customers" } '
{ "code": 200, "timestamp": 1000000000000, "transaction_id": "3b862714-d27d-4907-9027-e6399f8a8d46", "data": { "@entity": "in.co.sandbox.kyc.pan_verification.response", "pan": "XXXPX1234A", "category": "individual", "status": "valid", "remarks": null, "name_as_per_pan_match": true, "date_of_birth_match": true, "aadhaar_seeding_status": "y" } }
https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3

Run in Postman

Headers

Authorization
string
required

JWT access token. For token-generation steps, refer to the Quickstart Guide.

x-accept-cache
boolean

Pass true to accept the cached response. If the header is not passed, or if false is sent as the value, the request will hit the origin.

x-api-key
string
required

API key used to identify and authenticate the client.

x-api-version
string

Specifies the API version for the request.

Body

application/json
@entity
enum<string>
required
Available options:
in.co.sandbox.kyc.pan_verification.request
pan
string
required

Permanent Account Number to be verified against official PAN records.

Pattern: ^[A-Z]{5}[0-9]{4}[A-Z]{1}$
name_as_per_pan
string
required

Full name of the PAN holder exactly as printed on the PAN card.

Minimum string length: 2
date_of_birth
string
required

Date of birth or date of incorporation associated with the PAN in DD/MM/YYYY format.

Pattern: ^(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[0-2])/([0-9]{4})$

Explicit consent from the end user to retrieve and verify PAN details.

Available options:
Y,
y
reason
string
required

Purpose for requesting PAN verification.

Minimum string length: 20

Response

The response is of type object.